# Get Scheduled Operation

> Live API · Static Multiview Event

```http
GET https://app.mk.io/api/v1/projects/{project_name}/live/staticMultiviewEvents/{name}/scheduledOperations/{operation_name}
```

Returns the details of a scheduled operation.

RBAC Capability Required: `scheduling.event.get`

## Authentication

- `Authorization` header — Bearer authentication of the form `Bearer <token>`.

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `project_name` | string | Yes | — |
| `name` | string | Yes | — |
| `operation_name` | string | Yes | — |

## Example request

```bash
curl -X GET "https://app.mk.io/api/v1/projects/{project_name}/live/staticMultiviewEvents/{name}/scheduledOperations/{operation_name}" \
  -H "Authorization: Bearer <token>"
```

## Responses

### 200 — scheduling settings

- `metadata` · object · Optional
  - `id` · string · Optional · _format: uuid_ — The ID of the resource
  - `name` · string · Optional · _1-260 characters_ · _pattern: ^[^\^\'<>%&:\\?/*+]+$_ — The name of the resource
- `spec` · object · **Required**
  - One of the following variants, selected by `type`:
    - **MediaKind.ScheduledOperation.StartStop** (object)
      - `correlationData` · map from strings to any · **Required** — User data
        - `[any key]` · any — map of additional properties
      - `endTime` · string · **Required** · _format: date-time_ — End of the event
      - `startTime` · string · **Required** · _format: date-time_ — Start of the event
      - `type` · enum · **Required** — Event Type
        - Allowed values: `MediaKind.ScheduledOperation.StartStop`
- `status` · object · Optional
  - `errors` · list of strings · Optional — description of the errors found
    - Array items (string):
  - `state` · enum · **Required** — State of the scheduled operation
    - Allowed values: `Pending`, `Accepted`, `Errored`, `Ongoing`, `Completed`

Example:

```json
{
  "metadata": {
    "id": "00000000-0000-0000-0000-000000000000",
    "name": "name"
  },
  "spec": {
    "type": "MediaKind.ScheduledOperation.StartStop",
    "correlationData": {
      "key": null
    },
    "endTime": "2024-01-01T00:00:00Z",
    "startTime": "2024-01-01T00:00:00Z"
  },
  "status": {
    "errors": [
      "string"
    ],
    "state": "Pending"
  }
}
```

### 400 — Bad Request

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 401 — Unauthorized

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 403 — Forbidden

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 404 — Not Found

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 429 — Too Many Requests

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 500 — Internal Server Error

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

---

Source spec: `live-api` · operationId: `[get]_/api/v1/projects/{project_name}/live/staticMultiviewEvents/{name}/scheduledOperations/{operation_name}`
